| openPilotLog

Public Member Functions | Public Attributes | List of all members
ACompletionData Class Reference

The ACompletionData class provides data to QCompleters and QHashs used for mapping user input to database keys. It retreives the completer targets and mapping data from the database and caches it for fast access without the need to query the database. More...

`#include <acompletiondata.h>`

## Public Member Functions
void | init ()
| init Retrieves Data and populates Lists and Maps
void | update ()
| updates data from the user modifiable tables
void | updateTails ()
void | updatePilots ()

## Public Attributes
QHash< RowId_T, QString > | pilotsIdMap
QHash< RowId_T, QString > | tailsIdMap
QHash< RowId_T, QString > | airportIcaoIdMap
QHash< RowId_T, QString > | airportIataIdMap
QHash< RowId_T, QString > | airportNameIdMap
QStringList | pilotList
QStringList | tailsList
QStringList | airportList
UserDataState | current_state

## Detailed Description

The ACompletionData class provides data to QCompleters and QHashs used for mapping user input to database keys. It retreives the completer targets and mapping data from the database and caches it for fast access without the need to query the database.

The documentation for this class was generated from the following files:

- src/classes/acompletiondata.h
- src/classes/acompletiondata.cpp